Create Tracer Job
curl --request POST \
--url https://apigcp.trynia.ai/v2/github/tracer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"repositories": [
"<string>"
],
"context": "<string>"
}
'import requests
url = "https://apigcp.trynia.ai/v2/github/tracer"
payload = {
"query": "<string>",
"repositories": ["<string>"],
"context": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>', repositories: ['<string>'], context: '<string>'})
};
fetch('https://apigcp.trynia.ai/v2/github/tracer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}GitHub Search
Create Tracer Job
Create a Tracer search job.
Tracer is an autonomous agent that searches GitHub repositories to answer your question. Returns immediately with a job_id and session_id. Use /github/tracer//stream to receive real-time updates.
POST
/
github
/
tracer
Create Tracer Job
Authorizations
API key must be provided in the Authorization header
Body
application/json
Research question
Required string length:
1 - 10000Repositories in owner/repo format
Additional context
Maximum string length:
5000Optional model override (claude-haiku-4-5-20251001, claude-opus-4-7, claude-opus-4-7). Must match mode when both are provided.
Available options:
claude-haiku-4-5-20251001, claude-opus-4-7 Tracer mode: tracer-fast (Haiku) or tracer-deep (Opus). Defaults to tracer-deep. When mode and model are both provided, they must agree.
Available options:
tracer-fast, tracer-deep Response
Successful Response
Was this page helpful?
⌘I

